<?php

    if ( ! class_exists( 'weLaunch' ) && ! class_exists( 'Redux' ) ) {
        return;
    }

    if( class_exists( 'weLaunch' ) ) {
        $framework = new weLaunch();
    } else {
        $framework = new Redux();
    }

    $opt_name = 'woocommerce_cart_pdf_options';

    $args = array(
        'opt_name' => 'woocommerce_cart_pdf_options',
        'use_cdn' => TRUE,
        'dev_mode' => FALSE,
        'display_name' => __('WooCommerce Cart PDF', 'woocommerce-cart-pdf'),
        'display_version' => '1.2.0',
        'page_title' => __('WooCommerce Cart PDF', 'woocommerce-cart-pdf'),
        'update_notice' => TRUE,
        'intro_text' => '',
        'footer_text' => '&copy; '.date('Y').' weLaunch',
        'admin_bar' => FALSE,
        'menu_type' => 'submenu',
        'menu_title' => __('Cart PDF', 'woocommerce-cart-pdf'),
        'allow_sub_menu' => TRUE,
        'page_parent' => 'woocommerce',
        'page_parent_post_type' => 'your_post_type',
        'customizer' => FALSE,
        'default_mark' => '*',
        'hints' => array(
            'icon_position' => 'right',
            'icon_color' => 'lightgray',
            'icon_size' => 'normal',
            'tip_style' => array(
                'color' => 'light',
            ),
            'tip_position' => array(
                'my' => 'top left',
                'at' => 'bottom right',
            ),
            'tip_effect' => array(
                'show' => array(
                    'duration' => '500',
                    'event' => 'mouseover',
                ),
                'hide' => array(
                    'duration' => '500',
                    'event' => 'mouseleave unfocus',
                ),
            ),
        ),
        'output' => TRUE,
        'output_tag' => TRUE,
        'settings_api' => TRUE,
        'cdn_check_time' => '1440',
        'compiler' => TRUE,
        'page_permissions' => 'manage_options',
        'save_defaults' => TRUE,
        'show_import_export' => TRUE,
        'database' => 'options',
        'transient_time' => '3600',
        'network_sites' => TRUE,
    );

    $framework::setArgs( $opt_name, $args );

    /*
     * ---> END ARGUMENTS
     */

    /*
     * ---> START HELP TABS
     */

    $tabs = array(
        array(
            'id'      => 'help-tab',
            'title'   => __( 'Information', 'woocommerce-cart-pdf' ),
            'content' => __( '<p>Need support? Please use the comment function on codecanyon.</p>', 'woocommerce-cart-pdf' )
        ),
    );
    $framework::setHelpTab( $opt_name, $tabs );

    // Set the help sidebar
    // $content = __( '<p>This is the sidebar content, HTML is allowed.</p>', 'woocommerce-cart-pdf' );
    // $framework::setHelpSidebar( $opt_name, $content );


    /*
     * <--- END HELP TABS
     */


    /*
     *
     * ---> START SECTIONS
     *
     */

    $textVariables = '
        <br>{{customerDisplayName}}
        <br>{{customerFirstName}}
        <br>{{customerLastName}}
        <br>{{customerEmail}}
        <br>{{customerUserName}}
        <br>{{customerId}}
        <br>{{billingFirstName}}
        <br>{{billingLastName}}
        <br>{{billingCompany}}
        <br>{{billingAddress1}}
        <br>{{billingAddress2}}
        <br>{{billingCity}}
        <br>{{billingPostcode}}
        <br>{{billingCountry}}
        <br>{{billingState}}
        <br>{{billingEmail}}
        <br>{{billingPhone}}
        <br>{{shippingFirstName}}
        <br>{{shippingLastName}}
        <br>{{shippingCompany}}
        <br>{{shippingAddress1}}
        <br>{{shippingAddress2}}
        <br>{{shippingCity}}
        <br>{{shippingPostcode}}
        <br>{{shippingCountry}}
        <br>{{shippingState}}
        <br>{{quoteNumber}}';

    $framework::setSection( $opt_name, array(
        'title'  => __( 'Cart PDF', 'woocommerce-cart-pdf' ),
        'id'     => 'general',
        'desc'   => __( 'Need support? Please use the comment function on codecanyon.', 'woocommerce-cart-pdf' ),
        'icon'   => 'el el-home',
    ) );

    $framework::setSection( $opt_name, array(
        'title'      => __( 'General', 'woocommerce-cart-pdf' ),
        // 'desc'       => __( '', 'woocommerce-cart-pdf' ),
        'id'         => 'general-settings',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'enable',
                'type'     => 'switch',
                'title'    => __( 'Enable', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Enable Cart PDF to use the options below', 'woocommerce-cart-pdf' ),
                'default' => 1,
            ),
            array(
                'id'       => 'cartPDFTitle',
                'type'     => 'text',
                'title'    => __( 'Cart PDF Name', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Name / Title of the cart PDF.', 'woocommerce-cart-pdf' ),
                'default' => __('Cart PDF', 'woocommerce-cart-pdf'),
                'required' => array('enable','equals','1'),
            ),
            array(
                'id'       => 'showCartCatalogLink',
                'type'     => 'checkbox',
                'title'    => __( 'Cart PDF Export Link', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Show Cart Cart PDF Link', 'woocommerce-cart-pdf' ),
                'default' => 1,
            ),
            array(
                'id'       => 'cartLinkPosition',
                'type'     => 'select',
                'title'    => __( 'Cart Link position', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Choose the position of the button on the cart page.', 'woocommerce-cart-pdf' ),
                'default'  => 'woocommerce_before_cart',
                'options'  => array( 
                    'woocommerce_before_cart' => __('before_cart', 'woocommerce-cart-pdf'),
                    'woocommerce_before_cart_table' => __('before_cart_table', 'woocommerce-cart-pdf'),
                    'woocommerce_before_cart_contents' => __('before_cart_contents', 'woocommerce-cart-pdf'),
                    'woocommerce_cart_contents' => __('cart_contents', 'woocommerce-cart-pdf'),
                    'woocommerce_cart_actions' => __('cart_actions', 'woocommerce-cart-pdf'),
                    'woocommerce_after_cart_contents' => __('after_cart_contents', 'woocommerce-cart-pdf'),
                    'woocommerce_after_cart_table' => __('after_cart_table', 'woocommerce-cart-pdf'),
                    'woocommerce_cart_collaterals' => __('cart_collaterals', 'woocommerce-cart-pdf'),
                    'woocommerce_after_cart' => __('after_cart', 'woocommerce-cart-pdf'),
                ),
                'required' => array('showCartCatalogLink','equals','1'),
            ),
            array(
                'id'       => 'cartBtnText',
                'type'     => 'text',
                'title'    => __( 'Cart Button text', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Text inside the cart button.', 'woocommerce-cart-pdf' ),
                'default' => 'Export Cart (PDF)',
                'required' => array('showCartCatalogLink','equals','1'),
            ),
        )
    ) );

    $framework::setSection( $opt_name, array(
        'title'      => __( 'Quote Number', 'woocommerce-cart-pdf' ),
        // 'desc'       => __( '', 'woocommerce-cart-pdf' ),
        'id'         => 'quote-number',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'quoteNumberEnable',
                'type'     => 'switch',
                'title'    => __( 'Enable quote Numbering', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'If enabled you can use {{quote_number}} in the quote document. Click on regenerate if you enable this for the first time.', 'woocommerce-cart-pdf' ),
                'default' => 0,
            ),
            array(
                'id'       => 'quoteNumberPrefix',
                'type'     => 'text',
                'title'    => __('Quote Number Prefix', 'woocommerce-cart-pdf'),
                'subtitle' => __( 'The Prefix can contain custom text or the following vars: {{date}} or {{customerId}}.', 'woocommerce-cart-pdf' ),
                'default'  => __( 'I-{{date}}-', 'woocommerce-cart-pdf'),
                'required' => array('quoteNumberEnable','equals','1'),
            ),
            array(
                'id'       => 'quoteNumberSuffix',
                'type'     => 'text',
                'title'    => __('Quote Number Suffix', 'woocommerce-cart-pdf'),
                'subtitle' => __( 'The Suffix can contain custom text or the following vars: {{date}}, {{customerId}}.', 'woocommerce-cart-pdf' ),
                'default'  => __( '', 'woocommerce-cart-pdf'),
                'required' => array('quoteNumberEnable','equals','1'),
            ),
            array(
                'id'       => 'quoteNumberDateFormat',
                'type'     => 'text',
                'title'    => __('Quote Number Date Format', 'woocommerce-cart-pdf'),
                'subtitle' => __( 'Use any date format constants from here: <a target="_blank" href="https://www.php.net/manual/en/function.date.php#refsect1-function.date-parameters">PHP Date Constants</a>', 'woocommerce-cart-pdf' ),
                'default'  => __( 'Y-m', 'woocommerce-cart-pdf'),
                'required' => array('quoteNumberEnable','equals','1'),
            ),
            array(
                'id'     =>'quoteNumberStart',
                'type'     => 'spinner', 
                'title'    => __('Start Number', 'woocommerce-cart-pdf'),
                'subtitle' => __( 'The quote start number. Default: 1', 'woocommerce-cart-pdf' ),
                'default'  => '1',
                'min'      => '1',
                'step'     => '1',
                'max'      => '9999999',
                'required' => array('quoteNumberEnable','equals','1'),
            ),
            array(
                'id'     =>'quoteNumberPadLength',
                'type'     => 'spinner', 
                'title'    => __('Number pad length', 'woocommerce-cart-pdf'),
                'subtitle' => __( 'E.g. 7 = 0000005', 'woocommerce-cart-pdf' ),
                'default'  => '3',
                'min'      => '1',
                'step'     => '1',
                'max'      => '40',
                'required' => array('quoteNumberEnable','equals','1'),
            ),
            array(
                'id'   => 'quoteNumberRegenerate',
                'type' => 'info',
                'desc' => '<div style="text-align:center;">' . __('This will (re)generate all quote numbers.', 'wordpress-gdpr') . '<br>
                    <a href="' . get_admin_url() . 'admin.php?page=woocommerce_cart_pdf_options_options&regenerate-quote-numbers=true" class="button button-success">' . __('Regenerate quote Numbers', 'woocommerce-cart-pdf') . '</a>
                    </div>',
            ),
        )
    ) );

    $framework::setSection( $opt_name, array(
        'title'      => __( 'Button Popup', 'woocommerce-cart-pdf' ),
        'id'         => 'buttonPopup',
        'subsection' => true,
        'fields'     => array(

            array(
                'id'       => 'buttonPopup',
                'type'     => 'switch',
                'title'    => __( 'Enable Button popup', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Show a custom popup before the cart gets exported into the PDF.', 'woocommerce-cart-pdf' ),
                'default' => 0,
            ),
            array(
                'id'       => 'buttonPopupText',
                'type'     => 'text',
                'title'    => __( 'Text Label', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'For example: Enter a custom text below. Use the customer text as a variable {{buttonText}} anyhwere in the PDF.', 'woocommerce-cart-pdf' ),
                'default' => __('Enter a custom text below.', 'woocommerce-cart-pdf'),
                'required' => array('buttonPopup','equals','1'),
            ),
            array(
                'id'       => 'buttonPopupButtonText',
                'type'     => 'text',
                'title'    => __( 'Button Text', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Export Cart (PDF)', 'woocommerce-cart-pdf' ),
                'default' => __('Export Cart (PDF)', 'woocommerce-cart-pdf'),
                'required' => array('buttonPopup','equals','1'),
            ),
        )
    ) );

    $framework::setSection( $opt_name, array(
        'title'      => __( 'Send Cart (Email)', 'woocommerce-cart-pdf' ),
        'id'         => 'sendcart',
        'subsection' => true,
        'fields'     => array(

            array(
                'id'       => 'sendCartEMail',
                'type'     => 'switch',
                'title'    => __( 'Enable Email Cart Sending', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Show a button send the cart via Email.', 'woocommerce-cart-pdf' ),
                'default' => 1,
            ),
            array(
                'id'       => 'sendCartClearCartAfterSubmit',
                'type'     => 'checkbox',
                'title'    => __( 'Clear Cart after Submit', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Clears all cart items after sending the cart PDF Email.', 'woocommerce-cart-pdf' ),
                'default' =>  '0',
                'required' => array('sendCartEMail','equals','1'),
            ),
            array(
                'id'       => 'sendCartEMailButtonText',
                'type'     => 'text',
                'title'    => __( 'Button Text', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Text inside the send button.', 'woocommerce-cart-pdf' ),
                'default' => 'Send Cart (PDF)',
                'required' => array('sendCartEMail','equals','1'),
            ),
            array(
                'id'       => 'sendCartEMailTo',
                'type'     => 'text',
                'title'    => __( 'Default To Address', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Default to address (split by comma if multiple). Will be used when below to field is disabled.', 'woocommerce-cart-pdf' ),
                'default' => '',
                'required' => array('sendCartEMail','equals','1'),
            ),
            array(
                'id'       => 'sendCartEMailToShow',
                'type'     => 'switch',
                'title'    => __( 'Show To Field', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Show a field for the user where he want to send the cart pdf.', 'woocommerce-cart-pdf' ),
                'default' =>  '1',
                'required' => array('sendCartEMail','equals','1'),
            ),
                array(
                    'id'       => 'sendCartEMailToLabel',
                    'type'     => 'text',
                    'title'    => __( 'To Label', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Label for to field.', 'woocommerce-cart-pdf' ),
                    'default' => '',
                    'required' => array('sendCartEMailToShow','equals','1'),
                ),
                array(
                    'id'       => 'sendCartEMailToPlaceholder',
                    'type'     => 'text',
                    'title'    => __( 'To Placeholder', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Placeholder for to field.', 'woocommerce-cart-pdf' ),
                    'default' => 'Email Address (split by comma for multiple)',
                    'required' => array('sendCartEMailToShow','equals','1'),
                ),
            array(
                'id'       => 'sendCartEMailFromShow',
                'type'     => 'switch',
                'title'    => __( 'Show From Field', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Show a field for the user where he want From send the cart pdf.', 'woocommerce-cart-pdf' ),
                'default' =>  '0',
                'required' => array('sendCartEMail','equals','1'),
            ),
                array(
                    'id'       => 'sendCartEMailFromLabel',
                    'type'     => 'text',
                    'title'    => __( 'From Label', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Label for From field.', 'woocommerce-cart-pdf' ),
                    'default' => '',
                    'required' => array('sendCartEMailFromShow','equals','1'),
                ),
                array(
                    'id'       => 'sendCartEMailFromPlaceholder',
                    'type'     => 'text',
                    'title'    => __( 'From Placeholder', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Placeholder for from field.', 'woocommerce-cart-pdf' ),
                    'default' => 'Your Email',
                    'required' => array('sendCartEMailFromShow','equals','1'),
                ),

            array(
                'id'       => 'sendCartEMailNameShow',
                'type'     => 'switch',
                'title'    => __( 'Show Name Field', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Show a field for the user where he want Name send the cart pdf.', 'woocommerce-cart-pdf' ),
                'default' =>  '0',
                'required' => array('sendCartEMail','equals','1'),
            ),
                array(
                    'id'       => 'sendCartEMailNameLabel',
                    'type'     => 'text',
                    'title'    => __( 'Name Label', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Label for Name field.', 'woocommerce-cart-pdf' ),
                    'default' => '',
                    'required' => array('sendCartEMailNameShow','equals','1'),
                ),
                array(
                    'id'       => 'sendCartEMailNamePlaceholder',
                    'type'     => 'text',
                    'title'    => __( 'Name Placeholder', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Placeholder for Name field.', 'woocommerce-cart-pdf' ),
                    'default' => 'Your Name',
                    'required' => array('sendCartEMailNameShow','equals','1'),
                ),

            array(
                'id'       => 'sendCartEMailFirstnameShow',
                'type'     => 'switch',
                'title'    => __( 'Show Firstname Field', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Show a field for the user where he want Firstname send the cart pdf.', 'woocommerce-cart-pdf' ),
                'default' =>  '0',
                'required' => array('sendCartEMail','equals','1'),
            ),
                array(
                    'id'       => 'sendCartEMailFirstnameLabel',
                    'type'     => 'text',
                    'title'    => __( 'Firstname Label', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Label for Firstname field.', 'woocommerce-cart-pdf' ),
                    'default' => '',
                    'required' => array('sendCartEMailFirstnameShow','equals','1'),
                ),
                array(
                    'id'       => 'sendCartEMailFirstnamePlaceholder',
                    'type'     => 'text',
                    'title'    => __( 'Firstname Placeholder', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Placeholder for Firstname field.', 'woocommerce-cart-pdf' ),
                    'default' => 'Your Firstname',
                    'required' => array('sendCartEMailFirstnameShow','equals','1'),
                ),

            array(
                'id'       => 'sendCartEMailLastnameShow',
                'type'     => 'switch',
                'title'    => __( 'Show Lastname Field', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Show a field for the user where he want Lastname send the cart pdf.', 'woocommerce-cart-pdf' ),
                'default' =>  '0',
                'required' => array('sendCartEMail','equals','1'),
            ),
                array(
                    'id'       => 'sendCartEMailLastnameLabel',
                    'type'     => 'text',
                    'title'    => __( 'Lastname Label', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Label for Lastname field.', 'woocommerce-cart-pdf' ),
                    'default' => '',
                    'required' => array('sendCartEMailLastnameShow','equals','1'),
                ),
                array(
                    'id'       => 'sendCartEMailLastnamePlaceholder',
                    'type'     => 'text',
                    'title'    => __( 'Lastname Placeholder', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Placeholder for Lastname field.', 'woocommerce-cart-pdf' ),
                    'default' => 'Your Lastname',
                    'required' => array('sendCartEMailLastnameShow','equals','1'),
                ),

            array(
                'id'       => 'sendCartEMailPhoneShow',
                'type'     => 'switch',
                'title'    => __( 'Show Phone Field', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Show a field for the user where he want Phone send the cart pdf.', 'woocommerce-cart-pdf' ),
                'default' =>  '0',
                'required' => array('sendCartEMail','equals','1'),
            ),
                array(
                    'id'       => 'sendCartEMailPhoneLabel',
                    'type'     => 'text',
                    'title'    => __( 'Phone Label', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Label for Phone field.', 'woocommerce-cart-pdf' ),
                    'default' => '',
                    'required' => array('sendCartEMailPhoneShow','equals','1'),
                ),
                array(
                    'id'       => 'sendCartEMailPhonePlaceholder',
                    'type'     => 'text',
                    'title'    => __( 'Phone Placeholder', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Placeholder for Phone field.', 'woocommerce-cart-pdf' ),
                    'default' => 'Your Phone',
                    'required' => array('sendCartEMailPhoneShow','equals','1'),
                ),
            array(
                'id'       => 'sendCartEMailText',
                'type'  => 'editor',
                'args'   => array(
                    'teeny'            => false,
                ),
                'title'    => __( 'Default Text', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Default Text.', 'woocommerce-cart-pdf' ),
                'default' => '',
                'required' => array('sendCartEMail','equals','1'),
            ),
            array(
                'id'       => 'sendCartEMailSubject',
                'type'     => 'text',
                'title'    => __( 'Subject', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Subject.', 'woocommerce-cart-pdf' ),
                'default' => 'Your Cart as PDF | ' . get_bloginfo('name'),
                'required' => array('sendCartEMail','equals','1'),
            ),
            array(
                'id'       => 'sendCartEMailCC',
                'type'     => 'text',
                'title'    => __( 'Default CC', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Default CC Address (split by comma if multiple).', 'woocommerce-cart-pdf' ),
                'default' => '',
                'required' => array('sendCartEMail','equals','1'),
            ),
            array(
                'id'       => 'sendCartEMailBCC',
                'type'     => 'text',
                'title'    => __( 'BCC', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Default BCC Address  (split by comma if multiple).', 'woocommerce-cart-pdf' ),
                'default' => '',
                'required' => array('sendCartEMail','equals','1'),
            ),
            array(
                'id'       => 'sendCartEMailCommentShow',
                'type'     => 'switch',
                'title'    => __( 'Show Comment Field', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Show a field for the user where he want Comment send the cart pdf.', 'woocommerce-cart-pdf' ),
                'default' =>  '0',
                'required' => array('sendCartEMail','equals','1'),
            ),
                array(
                    'id'       => 'sendCartEMailCommentLabel',
                    'type'     => 'text',
                    'title'    => __( 'Comment Label', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Label for Comment field.', 'woocommerce-cart-pdf' ),
                    'default' => __( 'Your comment', 'woocommerce-cart-pdf' ),
                    'required' => array('sendCartEMailCommentShow','equals','1'),
                ),
                array(
                    'id'       => 'sendCartEMailCommentPlaceholder',
                    'type'  => 'text',
                    'title'    => __( 'Comment Placeholder', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Placeholder comment field text.', 'woocommerce-cart-pdf' ),
                    'default' => __( 'Comment', 'woocommerce-cart-pdf' ),
                    'required' => array('sendCartEMailCommentShow','equals','1'),
                ),
            array(
                'id'       => 'sendCartEMailAttachmentsShow',
                'type'     => 'switch',
                'title'    => __( 'Show attachments Field', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Show a field for the user where he want attachments send the cart pdf.', 'woocommerce-cart-pdf' ),
                'default' =>  '0',
                'required' => array('sendCartEMail','equals','1'),
            ),
                array(
                    'id'       => 'sendCartEMailAttachmentsLabel',
                    'type'     => 'text',
                    'title'    => __( 'Attachments Label', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Label for Attachments field.', 'woocommerce-cart-pdf' ),
                    'default' => __( 'Attachments', 'woocommerce-cart-pdf' ),
                    'required' => array('sendCartEMailAttachmentsShow','equals','1'),
                ),

            array(
                'id'       => 'sendCartEMailAddressCheckboxShow',
                'type'     => 'switch',
                'title'    => __( 'Show Address Checkbox Option Field', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Show a checkbox and address fields in the cart pdf popup.', 'woocommerce-cart-pdf' ),
                'default' =>  '0',
                'required' => array('sendCartEMail','equals','1'),
            ),
                array(
                    'id'       => 'sendCartEMailAddressCheckboxLabel',
                    'type'     => 'text',
                    'title'    => __( 'Address Checkbox Label', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Label for Address Checkbox field.', 'woocommerce-cart-pdf' ),
                    'default' => __( 'Please send me my quotation to my address.', 'woocommerce-cart-pdf' ),
                    'required' => array('sendCartEMailAddressCheckboxShow','equals','1'),
                ),

                array(
                    'id'       => 'sendCartEMailAddressStreetLabel',
                    'type'     => 'text',
                    'title'    => __( 'Address Street Label', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Label for Address Street field.', 'woocommerce-cart-pdf' ),
                    'default' => __( 'Your Street & Number', 'woocommerce-cart-pdf' ),
                    'required' => array('sendCartEMailAddressCheckboxShow','equals','1'),
                ),
                array(
                    'id'       => 'sendCartEMailAddressStreetPlaceholder',
                    'type'  => 'text',
                    'title'    => __( 'Address Street Placeholder', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Placeholder Address Street field text.', 'woocommerce-cart-pdf' ),
                    'default' => __( 'Street & Number', 'woocommerce-cart-pdf' ),
                    'required' => array('sendCartEMailAddressCheckboxShow','equals','1'),
                ),


                array(
                    'id'       => 'sendCartEMailAddressZIPLabel',
                    'type'     => 'text',
                    'title'    => __( 'Address ZIP Label', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Label for Address ZIP field.', 'woocommerce-cart-pdf' ),
                    'default' => __( 'Your ZIP', 'woocommerce-cart-pdf' ),
                    'required' => array('sendCartEMailAddressCheckboxShow','equals','1'),
                ),
                array(
                    'id'       => 'sendCartEMailAddressZIPPlaceholder',
                    'type'  => 'text',
                    'title'    => __( 'Address ZIP Placeholder', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Placeholder Address ZIP field text.', 'woocommerce-cart-pdf' ),
                    'default' => __( 'ZIP', 'woocommerce-cart-pdf' ),
                    'required' => array('sendCartEMailAddressCheckboxShow','equals','1'),
                ),

                array(
                    'id'       => 'sendCartEMailAddressCityLabel',
                    'type'     => 'text',
                    'title'    => __( 'Address City Label', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Label for Address City field.', 'woocommerce-cart-pdf' ),
                    'default' => __( 'Your City', 'woocommerce-cart-pdf' ),
                    'required' => array('sendCartEMailAddressCheckboxShow','equals','1'),
                ),
                array(
                    'id'       => 'sendCartEMailAddressCityPlaceholder',
                    'type'  => 'text',
                    'title'    => __( 'Address City Placeholder', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Placeholder Address City field text.', 'woocommerce-cart-pdf' ),
                    'default' => __( 'City', 'woocommerce-cart-pdf' ),
                    'required' => array('sendCartEMailAddressCheckboxShow','equals','1'),
                ),

                array(
                    'id'       => 'sendCartEMailAddressCountryLabel',
                    'type'     => 'text',
                    'title'    => __( 'Address Country Label', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Label for Address Country field.', 'woocommerce-cart-pdf' ),
                    'default' => __( 'Your Country', 'woocommerce-cart-pdf' ),
                    'required' => array('sendCartEMailAddressCheckboxShow','equals','1'),
                ),
                array(
                    'id'       => 'sendCartEMailAddressCountryPlaceholder',
                    'type'  => 'text',
                    'title'    => __( 'Address Country Placeholder', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Placeholder Address Country field text.', 'woocommerce-cart-pdf' ),
                    'default' => __( 'Country', 'woocommerce-cart-pdf' ),
                    'required' => array('sendCartEMailAddressCheckboxShow','equals','1'),
                ),

            // Text
            array(
                'id'       => 'sendCartEMailText',
                'type'  => 'editor',
                'args'   => array(
                    'teeny'            => false,
                ),
                'title'    => __( 'Default Text', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Default Text.', 'woocommerce-cart-pdf' ),
                'default' => '',
                'required' => array('sendCartEMail','equals','1'),
            ),

            array(
                'id'       => 'sendCartEMailTextShow',
                'type'     => 'checkbox',
                'title'    => __( 'Text Show in Frontend', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Show the text field in fronted so users can enter a custom message in the mail with the attachment. Otherwise the default message above will be used.', 'woocommerce-cart-pdf' ),
                'default' =>  '1',
                'required' => array('sendCartEMail','equals','1'),
            ),
                array(
                    'id'       => 'sendCartEMailTextLabel',
                    'type'     => 'text',
                    'title'    => __( 'Text Label', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Label for text field.', 'woocommerce-cart-pdf' ),
                    'default' => 'Your message',
                    'required' => array('sendCartEMailTextShow','equals','1'),
                ),
                array(
                    'id'       => 'sendCartEMailTextPlaceholder',
                    'type'     => 'text',
                    'title'    => __( 'Text Placeholder', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Placeholder for text field.', 'woocommerce-cart-pdf' ),
                    'default' => 'Your message',
                    'required' => array('sendCartEMailTextShow','equals','1'),
                ),

            array(
                'id'       => 'sendCartEMailPrivacyCheckboxShow',
                'type'     => 'switch',
                'title'    => __( 'Show Privacy Checkbox Option Field', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Show a checkbox and Privacy fields in the cart pdf popup.', 'woocommerce-cart-pdf' ),
                'default' =>  '0',
                'required' => array('sendCartEMail','equals','1'),
            ),
                array(
                    'id'       => 'sendCartEMailPrivacyCheckboxLabel',
                    'type'     => 'text',
                    'title'    => __( 'Privacy Checkbox Label', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'Label for Privacy Checkbox field.', 'woocommerce-cart-pdf' ),
                    'default' => __( 'I have ready & accept the privacy policy.', 'woocommerce-cart-pdf' ),
                    'required' => array('sendCartEMailPrivacyCheckboxShow','equals','1'),
                ),


            // Button
            array(
                'id'       => 'sendCartEMailSendButtonText',
                'type'     => 'text',
                'title'    => __( 'Send Button Text', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Text for the send button.', 'woocommerce-cart-pdf' ),
                'default' => 'Send Cart PDF',
                'required' => array('sendCartEMail','equals','1'),
            ),
            array(
                'id'       => 'sendCartEMailSuccessText',
                'type'     => 'text',
                'title'    => __( 'Success Text', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Text after button has been sent.', 'woocommerce-cart-pdf' ),
                'default' => 'Your cart PDF has been sent.',
                'required' => array('sendCartEMail','equals','1'),
            ),
            
        )
    ) );


    $framework::setSection( $opt_name, array(
        'title'      => __( 'Layout', 'woocommerce-cart-pdf' ),
        'id'         => 'defaults',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'format',
                'type'     => 'select',
                'title'    => __( 'Format', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Choose a pre-defined page size. A4 is recommended!', 'woocommerce-cart-pdf' ),
                'options'  => array(
                    'A4' => __('A4', 'woocommerce-cart-pdf'),
                    'A4-L' => __('A4 Landscape', 'woocommerce-cart-pdf'),
                    'A0' => __('A0', 'woocommerce-cart-pdf'),
                    'A0-L' => __('A0 Landscape', 'woocommerce-cart-pdf'),
                    'A1' => __('A1', 'woocommerce-cart-pdf'),
                    'A1-L' => __('A1 Landscape', 'woocommerce-cart-pdf'),
                    'A3' => __('A3', 'woocommerce-cart-pdf'),
                    'A3-L' => __('A3 Landscape', 'woocommerce-cart-pdf'),
                    'A5' => __('A5', 'woocommerce-cart-pdf'),
                    'A5-L' => __('A5 Landscape', 'woocommerce-cart-pdf'),
                    'A6' => __('A6', 'woocommerce-cart-pdf'),
                    'A6-L' => __('A6 Landscape', 'woocommerce-cart-pdf'),
                    'A7' => __('A7', 'woocommerce-cart-pdf'),
                    'A7-L' => __('A7 Landscape', 'woocommerce-cart-pdf'),
                    'A8' => __('A8', 'woocommerce-cart-pdf'),
                    'A8-L' => __('A8 Landscape', 'woocommerce-cart-pdf'),
                    'A9' => __('A9', 'woocommerce-cart-pdf'),
                    'A9-L' => __('A9 Landscape', 'woocommerce-cart-pdf'),
                    'A10' => __('A10', 'woocommerce-cart-pdf'),
                    'A10-L' => __('A10 Landscape', 'woocommerce-cart-pdf'),
                    'Letter' => __('Letter', 'woocommerce-cart-pdf'),
                    'Legal' => __('Legal', 'woocommerce-cart-pdf'),
                    'Executive' => __('Executive', 'woocommerce-cart-pdf'),
                    'Folio' => __('Folio', 'woocommerce-cart-pdf'),
                ),
                'default' => 'A4',
            ),
            array(
                'id'             => 'layoutPadding',
                'type'           => 'spacing',
                // 'output'         => array('.site-header'),
                'mode'           => 'padding',
                'units'          => array('px'),
                'units_extended' => 'false',
                'title'          => __('Padding', 'woocommerce-cart-pdf'),
                'default'            => array(
                    'padding-top'     => '50px', 
                    'padding-right'   => '20px', 
                    'padding-bottom'  => '10px', 
                    'padding-left'    => '20px',
                    'units'          => 'px', 
                ),
            ),
            array(
                'id'     =>'layoutTextColor',
                'type'  => 'color',
                'title' => __('Text Color', 'woocommerce-cart-pdf'), 
                'validate' => 'color',
                'default'   => '#333333',
            ),
            array(
                'id'     =>'layoutFontFamily',
                'type'  => 'select',
                'title' => __('Default Font', 'woocommerce-cart-pdf'), 
                'options'  => array(
                    'dejavusans' => __('Sans', 'woocommerce-cart-pdf' ),
                    'dejavuserif' => __('Serif', 'woocommerce-cart-pdf' ),
                    'sun-exta' => __('Sun Exta (Chinese)', 'woocommerce-cart-pdf' ),
                    'dejavusansmono' => __('Mono', 'woocommerce-cart-pdf' ),
                    'droidsans' => __('Droid Sans', 'woocommerce-cart-pdf'),
                    'droidserif' => __('Droid Serif', 'woocommerce-cart-pdf'),
                    'lato' => __('Lato', 'woocommerce-cart-pdf'),
                    'lora' => __('Lora', 'woocommerce-cart-pdf'),
                    'merriweather' => __('Merriweather', 'woocommerce-cart-pdf'),
                    'montserrat' => __('Montserrat', 'woocommerce-cart-pdf'),
                    'opensans' => __('Open sans', 'woocommerce-cart-pdf'),
                    'opensanscondensed' => __('Open Sans Condensed', 'woocommerce-cart-pdf'),
                    'oswald' => __('Oswald', 'woocommerce-cart-pdf'),
                    'ptsans' => __('PT Sans', 'woocommerce-cart-pdf'),
                    'sourcesanspro' => __('Source Sans Pro', 'woocommerce-cart-pdf'),
                    'slabo' => __('Slabo', 'woocommerce-cart-pdf'),
                    'raleway' => __('Raleway', 'woocommerce-cart-pdf'),
                ),
                'default'   => 'dejavusans',
            ),
            array(
                'id'     =>'layoutFontSize',
                'type'     => 'spinner', 
                'title'    => __('Default font size', 'woocommerce-cart-pdf'),
                'default'  => '11',
                'min'      => '1',
                'step'     => '1',
                'max'      => '40',
            ),
            array(
                'id'     =>'layoutFontLineHeight',
                'type'     => 'spinner', 
                'title'    => __('Default line height', 'woocommerce-cart-pdf'),
                'default'  => '14',
                'min'      => '1',
                'step'     => '1',
                'max'      => '40',
            ),
            array(
                'id'     =>'contentItemsEvenBackgroundColor',
                'type' => 'color',
                'url'      => true,
                'title' => __('Even Items Background Color', 'woocommerce-cart-pdf'), 
                'validate' => 'color',
                'default' => '#FFFFFF',
            ),
            array(
                'id'     =>'contentItemsEvenTextColor',
                'type' => 'color',
                'url'      => true,
                'title' => __('Even Items Text Color', 'woocommerce-cart-pdf'), 
                'validate' => 'color',
                'default' => '#333333',
            ),
            array(
                'id'     =>'contentItemsOddBackgroundColor',
                'type' => 'color',
                'url'      => true,
                'title' => __('Odd Items Background Color', 'woocommerce-cart-pdf'), 
                'validate' => 'color',
                'default' => '#ebebeb',
            ),
            array(
                'id'     =>'contentItemsOddTextColor',
                'type' => 'color',
                'url'      => true,
                'title' => __('Odd Items Text Color', 'woocommerce-cart-pdf'), 
                'validate' => 'color',
                'default' => '#333333',
            ),
        )
    ) );

    $framework::setSection( $opt_name, array(
        'title'      => __( 'Cover Page', 'woocommerce-cart-pdf' ),
        'id'         => 'cover',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'enableCover',
                'type'     => 'checkbox',
                'title'    => __( 'Enable', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Enable the Cover Page', 'woocommerce-cart-pdf' ),
                'default' =>  '0',
            ),
            array(
                'id'     =>'coverImage',
                'type' => 'media',
                'url'      => true,
                'title' => __('Cover image', 'woocommerce-cart-pdf'), 
                'subtitle' => __('Recommended Image Size: 1240 x 1754 px.', 'woocommerce-cart-pdf'), 
                'args'   => array(
                    'teeny'            => false,
                ),
                'required' => array('enableCover','equals','1'),
            ),
        ),
    ) );

    $framework::setSection( $opt_name, array(
        'title'      => __( 'Header', 'woocommerce-cart-pdf' ),
        'id'         => 'header',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'enableHeader',
                'type'     => 'checkbox',
                'title'    => __( 'Enable', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Enable header', 'woocommerce-cart-pdf' ),
                'default'  => '1',
            ),
            array(
                'id'     =>'headerBackgroundColor',
                'type' => 'color',
                'title' => __('Header background color', 'woocommerce-cart-pdf'), 
                'validate' => 'color',
                'required' => array('enableHeader','equals','1'),
                'default'  => '#222222',
            ),
            array(
                'id'     =>'headerTextColor',
                'type'  => 'color',
                'title' => __('Header text color', 'woocommerce-cart-pdf'), 
                'validate' => 'color',
                'required' => array('enableHeader','equals','1'),
                'default'  => '#FFFFFF',
            ),
            array(
                'id'     =>'headerFontSize',
                'type'     => 'spinner', 
                'title'    => __('Text font size', 'woocommerce-cart-pdf'),
                'default'  => '11',
                'min'      => '1',
                'step'     => '1',
                'max'      => '40',
                'required' => array('enableHeader','equals','1'),
            ),
            array(
                'id'     =>'headerLineHeight',
                'type'     => 'spinner', 
                'title'    => __('Text line height', 'woocommerce-cart-pdf'),
                'default'  => '14',
                'min'      => '1',
                'step'     => '1',
                'max'      => '100',
                'required' => array('enableHeader','equals','1'),
            ),
            array(
                'id'     =>'headerLayout',
                'type'  => 'select',
                'title' => __('Header Layout', 'woocommerce-cart-pdf'), 
                'required' => array('enableHeader','equals','1'),
                'options'  => array(
                    'oneCol' => __('1/1', 'woocommerce-cart-pdf' ),
                    'twoCols' => __('1/2 + 1/2', 'woocommerce-cart-pdf' ),
                    'threeCols' => __('1/3 + 1/3 + 1/3', 'woocommerce-cart-pdf' ),
                ),
                'default' => 'twoCols',
            ),
            array(
                'id'     =>'headerTopMargin',
                'type'     => 'spinner', 
                'title'    => __('Header Margin', 'woocommerce-cart-pdf'),
                'default'  => '20',
                'min'      => '1',
                'step'     => '1',
                'max'      => '200',
            ),
            array(
                'id'     =>'headerHeight',
                'type'     => 'spinner', 
                'title'    => __('Header Height', 'woocommerce-cart-pdf'),
                'default'  => '40',
                'min'      => '1',
                'step'     => '1',
                'max'      => '200',
            ),
            array(
                'id'             => 'headerPadding',
                'type'           => 'spacing',
                'mode'           => 'padding',
                'units'          => array('px'),
                'units_extended' => 'false',
                'title'          => __('Header Padding', 'woocommerce-cart-pdf'),
                'subtitle'       => __('Choose the spacing or padding you want.', 'woocommerce-cart-pdf'),
                'default'            => array(
                    'padding-top'     => '10px', 
                    'padding-right'   => '20px', 
                    'padding-bottom'  => '10px', 
                    'padding-left'    => '20px',
                    'units'          => 'px', 
                )
            ),
            array(
                'id'     =>'headerTopLeft',
                'type'  => 'select',
                'title' => __('Top Left Header', 'woocommerce-cart-pdf'), 
                'required' => array('enableHeader','equals','1'),
                'options'  => array(
                    'none' => __('None', 'woocommerce-cart-pdf' ),
                    'bloginfo' => __('Blog information', 'woocommerce-cart-pdf' ),
                    'text' => __('Custom text', 'woocommerce-cart-pdf' ),
                    'pagenumber' => __('Pagenumber', 'woocommerce-cart-pdf' ),
                    'image' => __('Image', 'woocommerce-cart-pdf' ),
                    'exportinfo' => __('Export Information', 'woocommerce-cart-pdf' ),
                ),
                'default' => 'bloginfo',
            ),
            array(
                'id'     =>'headerTopLeftText',
                'type'  => 'editor',
                'title' => __('Top Left Header Text', 'woocommerce-cart-pdf'),
                'subtitle' => __('Put in custom text here or use any of these variables: ', 'woocommerce-cart-pdf') . $textVariables,
                'required' => array('headerTopLeft','equals','text'),
                'args'   => array(
                    'teeny'            => false,
                )
            ),
            array(
                'id'     =>'headerTopLeftImage',
                'type' => 'media',
                'url'      => true,
                'title' => __('Top Left Header Image', 'woocommerce-cart-pdf'), 
                'required' => array('headerTopLeft','equals','image'),
                'args'   => array(
                    'teeny'            => false,
                )
            ),
            array(
                'id'     =>'headerTopMiddle',
                'type'  => 'select',
                'title' => __('Top Middle Header', 'woocommerce-cart-pdf'), 
                'required' => array('headerLayout','equals','threeCols'),
                'options'  => array(
                    'none' => __('None', 'woocommerce-cart-pdf' ),
                    'bloginfo' => __('Blog information', 'woocommerce-cart-pdf' ),
                    'text' => __('Custom text', 'woocommerce-cart-pdf' ),
                    'pagenumber' => __('Pagenumber', 'woocommerce-cart-pdf' ),
                    'image' => __('Image', 'woocommerce-cart-pdf' ),
                    'exportinfo' => __('Export Information', 'woocommerce-cart-pdf' ),
                ),
                'default' => 'category',
            ),
            array(
                'id'     =>'headerTopMiddleText',
                'type'  => 'editor',
                'title' => __('Top Middle Header Text', 'woocommerce-cart-pdf'), 
                'required' => array('headerTopMiddle','equals','text'),
                'args'   => array(
                    'teeny'            => false,
                )
            ),
            array(
                'id'     =>'headerTopMiddleImage',
                'type' => 'media',
                'url'      => true,
                'title' => __('Top Middle Header Image', 'woocommerce-cart-pdf'), 
                'required' => array('headerTopMiddle','equals','image'),
                'args'   => array(
                    'teeny'            => false,
                )
            ),
            array(
                'id'     =>'headerTopRight',
                'type'  => 'select',
                'title' => __('Top Right Header', 'woocommerce-cart-pdf'), 
                'required' => array('headerLayout','equals',array('threeCols','twoCols')),
                'options'  => array(
                    'none' => __('None', 'woocommerce-cart-pdf' ),
                    'bloginfo' => __('Blog information', 'woocommerce-cart-pdf' ),
                    'text' => __('Custom text', 'woocommerce-cart-pdf' ),
                    'pagenumber' => __('Pagenumber', 'woocommerce-cart-pdf' ),
                    'image' => __('Image', 'woocommerce-cart-pdf' ),
                    'exportinfo' => __('Export Information', 'woocommerce-cart-pdf' ),
                ),
                'default' => 'pagenumber',
            ),
            array(
                'id'     =>'headerTopRightText',
                'type'  => 'editor',
                'title' => __('Top Right Header Text', 'woocommerce-cart-pdf'), 
                'required' => array('headerTopRight','equals','text'),
                'args'   => array(
                    'teeny'            => false,
                )
            ),
            array(
                'id'     =>'headerTopRightImage',
                'type' => 'media',
                'url'      => true,
                'title' => __('Top Right Header Image', 'woocommerce-cart-pdf'), 
                'required' => array('headerTopRight','equals','image'),
                'args'   => array(
                    'teeny'            => false,
                )
            ),
        )
    ) );

    $framework::setSection( $opt_name, array(
        'title'      => __( 'Data to show', 'woocommerce-cart-pdf' ),
        'id'         => 'data',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'      => 'contentItems',
                'type'    => 'sorter',
                'title'   => __('Reorder Data to Show', 'woocommerce-cart-pdf'),
                'subtitle'    => __('Data to Show.', 'woocommerce-cart-pdf'),
                'options' => array(
                    'enabled'  => array(
                        'showPos' => __('Pos', 'woocommerce-cart-pdf'),
                        'showImage' => __('Image', 'woocommerce-cart-pdf'),
                        'showProduct' => __('Product', 'woocommerce-cart-pdf'),
                        'showSKU' => __('SKU', 'woocommerce-cart-pdf'),
                        'showQty' => __('Qty', 'woocommerce-cart-pdf'),
                        'showPrice' => __('Price', 'woocommerce-cart-pdf'),
                        'showTotal' => __('Total', 'woocommerce-cart-pdf'),
                    ),
                    'disabled' => array(
                        'showWeight' => __('Weight', 'woocommerce-cart-pdf'),
                        'showDimensions' => __('Dimensions', 'woocommerce-cart-pdf'),
                        'showVAT' => __('VAT', 'woocommerce-cart-pdf'),
                        'showShortDescription' => __('ShortDescription', 'woocommerce-cart-pdf'),
                        'showDescription' => __('Description', 'woocommerce-cart-pdf'),
                        'showUser' => __('User', 'woocommerce-cart-pdf'),
                        'showCouponTotal' => __('CouponTotal', 'woocommerce-cart-pdf'),
                    )
                ),
            ),

            array(
                'id'       => 'contentItemsShowPosName',
                'type'     => 'text',
                'title'    => __( 'Position Column Name', 'woocommerce-cart-pdf' ),
                'default'  => __('Pos.', 'woocommerce-cart-pdf'),
            ),
            array(
                'id'     =>'contentItemsShowPosWidth',
                'type'     => 'spinner', 
                'title'    => __('Position Column Size (%)', 'woocommerce-cart-pdf'),
                'default'  => '6',
                'min'      => '1',
                'step'     => '10',
                'max'      => '100',
            ),

            array(
                'id'       => 'contentItemsShowImageName',
                'type'     => 'text',
                'title'    => __( 'Image Column Name', 'woocommerce-cart-pdf' ),
                'default'  => __('Image', 'woocommerce-cart-pdf'),
            ),
            array(
                'id'     =>'contentItemsShowImageWidth',
                'type'     => 'spinner', 
                'title'    => __('Image Column Size (%)', 'woocommerce-cart-pdf'),
                'default'  => '10',
                'min'      => '1',
                'step'     => '10',
                'max'      => '100',
            ),
            array(
                'id'     =>'contentItemsShowImageSize',
                'type'     => 'spinner', 
                'title'    => __('Image size (px)', 'woocommerce-cart-pdf'),
                'default'  => '80',
                'min'      => '1',
                'step'     => '10',
                'max'      => '150',
            ),

            array(
                'id'       => 'contentItemsShowProductName',
                'type'     => 'text',
                'title'    => __( 'Product Column Name', 'woocommerce-cart-pdf' ),
                'default'  => __('Product', 'woocommerce-cart-pdf'),
            ),
            array(
                'id'     =>'contentItemsShowProductWidth',
                'type'     => 'spinner', 
                'title'    => __('Product Column Size (%)', 'woocommerce-cart-pdf'),
                'default'  => '17',
                'min'      => '1',
                'step'     => '10',
                'max'      => '100',
            ),
            array(
                'id'       => 'contentItemsShowLinks',
                'type'     => 'checkbox',
                'title'    => __( 'Product Column Link', 'woocommerce-cart-pdf' ),
                'default' => 1,
            ),

                array(
                    'id'       => 'contentItemsShowSKUName',
                    'type'     => 'text',
                    'title'    => __( 'SKU Column Name', 'woocommerce-cart-pdf' ),
                    'default'  => __('SKU', 'woocommerce-cart-pdf'),
                ),
                array(
                    'id'     =>'contentItemsShowSKUWidth',
                    'type'     => 'spinner', 
                    'title'    => __('SKU Column Size (%)', 'woocommerce-cart-pdf'),
                    'default'  => '10',
                    'min'      => '1',
                    'step'     => '10',
                    'max'      => '100',
                ),

                array(
                    'id'       => 'contentItemsShowWeightName',
                    'type'     => 'text',
                    'title'    => __( 'Weight Column Name', 'woocommerce-cart-pdf' ),
                    'default'  => __('Weight', 'woocommerce-cart-pdf'),
                ),
                array(
                    'id'     =>'contentItemsShowWeightWidth',
                    'type'     => 'spinner', 
                    'title'    => __('Weight Column Size (%)', 'woocommerce-cart-pdf'),
                    'default'  => '13',
                    'min'      => '1',
                    'step'     => '10',
                    'max'      => '100',
                ),

                array(
                    'id'       => 'contentItemsShowDimensionsName',
                    'type'     => 'text',
                    'title'    => __( 'Dimensions Column Name', 'woocommerce-cart-pdf' ),
                    'default'  => __('Dimensions', 'woocommerce-cart-pdf'),
                ),
                array(
                    'id'     =>'contentItemsShowDimensionsWidth',
                    'type'     => 'spinner', 
                    'title'    => __('Dimensions Column Size (%)', 'woocommerce-cart-pdf'),
                    'default'  => '10',
                    'min'      => '1',
                    'step'     => '10',
                    'max'      => '100',
                ),

                array(
                    'id'       => 'contentItemsShowQtyName',
                    'type'     => 'text',
                    'title'    => __( 'Qty Column Name', 'woocommerce-cart-pdf' ),
                    'default'  => __('Qty', 'woocommerce-cart-pdf'),
                ),
                array(
                    'id'     =>'contentItemsShowQtyWidth',
                    'type'     => 'spinner', 
                    'title'    => __('Dimensions Column Size (%)', 'woocommerce-cart-pdf'),
                    'default'  => '10',
                    'min'      => '1',
                    'step'     => '10',
                    'max'      => '100',
                ),

                array(
                    'id'       => 'contentItemsShowPriceName',
                    'type'     => 'text',
                    'title'    => __( 'Price Column Name', 'woocommerce-cart-pdf' ),
                    'default'  => __('Price', 'woocommerce-cart-pdf'),
                ),
                array(
                    'id'     =>'contentItemsShowPriceWidth',
                    'type'     => 'spinner', 
                    'title'    => __('Price Column Size (%)', 'woocommerce-cart-pdf'),
                    'default'  => '9',
                    'min'      => '1',
                    'step'     => '10',
                    'max'      => '100',
                ),

                array(
                    'id'       => 'contentItemsShowShortDescriptionName',
                    'type'     => 'text',
                    'title'    => __( 'Short Description Column Name', 'woocommerce-cart-pdf' ),
                    'default'  => __('Short Description', 'woocommerce-cart-pdf'),
                ),
                array(
                    'id'     =>'contentItemsShowShortDescriptionWidth',
                    'type'     => 'spinner', 
                    'title'    => __('Short Description Column Size (%)', 'woocommerce-cart-pdf'),
                    'default'  => '17',
                    'min'      => '1',
                    'step'     => '10',
                    'max'      => '100',
                ),

                array(
                    'id'       => 'contentItemsShowDescriptionName',
                    'type'     => 'text',
                    'title'    => __( 'Description Column Name', 'woocommerce-cart-pdf' ),
                    'default'  => __('Description', 'woocommerce-cart-pdf'),
                ),
                array(
                    'id'     =>'contentItemsShowDescriptionWidth',
                    'type'     => 'spinner', 
                    'title'    => __('Description Column Size (%)', 'woocommerce-cart-pdf'),
                    'default'  => '17',
                    'min'      => '1',
                    'step'     => '10',
                    'max'      => '100',
                ),
                array(
                    'id'       => 'contentItemsShowUserName',
                    'type'     => 'text',
                    'title'    => __( 'User Column Name', 'woocommerce-cart-pdf' ),
                    'default'  => __('User', 'woocommerce-cart-pdf'),
                ),
                array(
                    'id'     =>'contentItemsShowUserWidth',
                    'type'     => 'spinner', 
                    'title'    => __('User Column Size (%)', 'woocommerce-cart-pdf'),
                    'default'  => '10',
                    'min'      => '1',
                    'step'     => '10',
                    'max'      => '100',
                ),
                array(
                    'id'       => 'contentItemsShowCouponTotalName',
                    'type'     => 'text',
                    'title'    => __( 'Coupon Name', 'woocommerce-cart-pdf' ),
                    'default'  => __('Discount', 'woocommerce-cart-pdf'),
                ),
                array(
                    'id'     =>'contentItemsShowCouponTotalWidth',
                    'type'     => 'spinner', 
                    'title'    => __('Coupon Column Size (%)', 'woocommerce-cart-pdf'),
                    'default'  => '10',
                    'min'      => '1',
                    'step'     => '10',
                    'max'      => '100',
                ),
                array(
                    'id'       => 'contentItemsShowTotalName',
                    'type'     => 'text',
                    'title'    => __( 'Total Colum Name', 'woocommerce-cart-pdf' ),
                    'default'  => __('Total', 'woocommerce-cart-pdf'),
                ),
                array(
                    'id'     =>'contentItemsShowTotalWidth',
                    'type'     => 'spinner', 
                    'title'    => __('Total Column Size (%)', 'woocommerce-cart-pdf'),
                    'default'  => '9',
                    'min'      => '1',
                    'step'     => '10',
                    'max'      => '100',
                ),
                array(
                    'id'       => 'contentItemsShowTotalSaved',
                    'type'     => 'checkbox',
                    'title'    => __( 'Total Saved Price', 'woocommerce-cart-pdf' ),
                    'subtitle'    => __( 'When a product is on sale or a coupon is applied it will show the difference amount that is saved.', 'woocommerce-cart-pdf' ),
                    'default' => 0,
                ),
                    array(
                        'id'       => 'contentItemsShowTotalSavedText',
                        'type'     => 'text',
                        'title'    => __( 'Total Saved Price Text', 'woocommerce-cart-pdf' ),
                        'default'  => __('You saved: %s', 'woocommerce-cart-pdf'),
                    ),
        )
    ) );

    $framework::setSection( $opt_name, array(
        'title'      => __( 'Extra Texts', 'woocommerce-cart-pdf' ),
        'id'         => 'extra-texts',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'enableTextBeforeProducts',
                'type'     => 'checkbox',
                'title'    => __( 'Enable Text Before Products', 'woocommerce-cart-pdf' ),
                'default'   => 1,
            ),
            array(
                'id'     =>'textBeforeProducts',
                'type'  => 'editor',
                'args'   => array(
                    'teeny'            => false,
                ),
                'title' => __('Text Before Products', 'woocommerce-cart-pdf'),
                'subtitle' => __('Put in custom text here or use any of these variables: ', 'woocommerce-cart-pdf') . $textVariables, 
                'required' => array('enableTextBeforeProducts','equals','1'),
                'default' => '<p>Dear {{customerDisplayName}},<br><br>below you find an export of your current cart of our website.</p><h2>Cart Items</h2>',
            ),
            array(
                'id'     =>'textBeforeProductsFontSize',
                'type'     => 'spinner', 
                'title'    => __('Text font size', 'woocommerce-cart-pdf'),
                'default'  => '11',
                'min'      => '1',
                'step'     => '1',
                'max'      => '40',
                'required' => array('enableTextBeforeProducts','equals','1'),
            ),
            array(
                'id'     =>'textBeforeProductsLineHeight',
                'type'     => 'spinner', 
                'title'    => __('Text line height', 'woocommerce-cart-pdf'),
                'default'  => '14',
                'min'      => '1',
                'step'     => '1',
                'max'      => '100',
                'required' => array('enableTextBeforeProducts','equals','1'),
            ),
            array(
                'id'     =>'textBeforeProductsTextAlign',
                'type'  => 'select',
                'title' => __('Text Align', 'woocommerce-cart-pdf'), 
                'options'  => array(
                    'left' => __('Left', 'woocommerce-cart-pdf' ),
                    'center' => __('Center', 'woocommerce-cart-pdf' ),
                    'right' => __('Right', 'woocommerce-cart-pdf' ),
                ),
                'default' => 'left',
                'required' => array('enableTextBeforeProducts','equals','1'),
            ),
            array(
                'id'       => 'enableTextAfterProducts',
                'type'     => 'checkbox',
                'title'    => __( 'Enable Text After Products', 'woocommerce-cart-pdf' ),
                'default'   => 1,
            ),
            array(
                'id'     =>'textAfterProducts',
                'type'  => 'editor',
                'args'   => array(
                    'teeny'            => false,
                ),
                'title' => __('Text After Products', 'woocommerce-cart-pdf'), 
                'required' => array('enableTextAfterProducts','equals','1'),
                'default' => 'Thanks for creating this PDF export of your cart.<br><br>You can now print this out and go to your local dealer to buy our products.<br><br>Your Shop Name',
            ),
            array(
                'id'     =>'textAfterProductsFontSize',
                'type'     => 'spinner', 
                'title'    => __('Text font size', 'woocommerce-cart-pdf'),
                'default'  => '11',
                'min'      => '1',
                'step'     => '1',
                'max'      => '40',
                'required' => array('enableTextAfterProducts','equals','1'),
            ),
            array(
                'id'     =>'textAfterProductsLineHeight',
                'type'     => 'spinner', 
                'title'    => __('Text line height', 'woocommerce-cart-pdf'),
                'default'  => '14',
                'min'      => '1',
                'step'     => '1',
                'max'      => '100',
                'required' => array('enableTextAfterProducts','equals','1'),
            ),
            array(
                'id'     =>'textAfterProductsTextAlign',
                'type'  => 'select',
                'title' => __('Text Align', 'woocommerce-cart-pdf'), 
                'options'  => array(
                    'left' => __('Left', 'woocommerce-cart-pdf' ),
                    'center' => __('Center', 'woocommerce-cart-pdf' ),
                    'right' => __('Right', 'woocommerce-cart-pdf' ),
                ),
                'default' => 'Left',
                'required' => array('enableTextAfterProducts','equals','1'),
            ),
        )
    ) );

    $framework::setSection( $opt_name, array(
        'title'      => __( 'Footer', 'woocommerce-cart-pdf' ),
        // 'desc'       => __( '', 'woocommerce-cart-pdf' ),
        'id'         => 'footer',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'enableFooter',
                'type'     => 'checkbox',
                'title'    => __( 'Enable', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Enable footer', 'woocommerce-cart-pdf' ),
                'default'  => 1,
            ),
            array(
                'id'     =>'footerBackgroundColor',
                'type' => 'color',
                'url'      => true,
                'title' => __('Footer background color', 'woocommerce-cart-pdf'), 
                'validate' => 'color',
                'required' => array('enableFooter','equals','1'),
                'default' => '#222222',
            ),
            array(
                'id'     =>'footerTextColor',
                'type'  => 'color',
                'url'      => true,
                'title' => __('Footer text color', 'woocommerce-cart-pdf'), 
                'validate' => 'color',
                'required' => array('enableFooter','equals','1'),
                'default' => '#FFFFFF',
            ),
            array(
                'id'     =>'footerFontSize',
                'type'     => 'spinner', 
                'title'    => __('Text font size', 'woocommerce-cart-pdf'),
                'default'  => '11',
                'min'      => '1',
                'step'     => '1',
                'max'      => '40',
                'required' => array('enableFooter','equals','1'),
            ),
            array(
                'id'     =>'footerLineHeight',
                'type'     => 'spinner', 
                'title'    => __('Text line height', 'woocommerce-cart-pdf'),
                'default'  => '14',
                'min'      => '1',
                'step'     => '1',
                'max'      => '100',
                'required' => array('enableFooter','equals','1'),
            ),
            array(
                'id'     =>'footerLayout',
                'type'  => 'select',
                'title' => __('Footer Layout', 'woocommerce-cart-pdf'), 
                'required' => array('enableFooter','equals','1'),
                'options'  => array(
                    'oneCol' => __('1/1', 'woocommerce-cart-pdf' ),
                    'twoCols' => __('1/2 + 1/2', 'woocommerce-cart-pdf' ),
                    'threeCols' => __('1/3 + 1/3 + 1/3', 'woocommerce-cart-pdf' ),
                ),
                'default' => 'oneCol',
            ),
            array(
                'id'     =>'footerTopMargin',
                'type'     => 'spinner', 
                'title'    => __('Footer Margin', 'woocommerce-cart-pdf'),
                'default'  => '10',
                'min'      => '1',
                'step'     => '1',
                'max'      => '200',
            ),
            array(
                'id'     =>'footerHeight',
                'type'     => 'spinner', 
                'title'    => __('Footer Height', 'woocommerce-cart-pdf'),
                'default'  => '20',
                'min'      => '1',
                'step'     => '1',
                'max'      => '200',
            ),
            array(
                'id'             => 'footerPadding',
                'type'           => 'spacing',
                'mode'           => 'padding',
                'units'          => array('px'),
                'units_extended' => 'false',
                'title'          => __('Footer Padding', 'woocommerce-cart-pdf'),
                'subtitle'       => __('Choose the spacing or padding you want.', 'woocommerce-cart-pdf'),
                'default'            => array(
                    'padding-top'     => '10px', 
                    'padding-right'   => '20px', 
                    'padding-bottom'  => '10px', 
                    'padding-left'    => '20px',
                    'units'          => 'px', 
                )
            ),
            array(
                'id'     =>'footerTopLeft',
                'type'  => 'select',
                'title' => __('Top Left Footer', 'woocommerce-cart-pdf'), 
                'required' => array('enableFooter','equals','1'),
                'options'  => array(
                    'none' => __('None', 'woocommerce-cart-pdf' ),
                    'bloginfo' => __('Blog information', 'woocommerce-cart-pdf' ),
                    'text' => __('Custom text', 'woocommerce-cart-pdf' ),
                    'pagenumber' => __('Pagenumber', 'woocommerce-cart-pdf' ),
                    'image' => __('Image', 'woocommerce-cart-pdf' ),
                    'exportinfo' => __('Export Information', 'woocommerce-cart-pdf' ),
                ),
                'default' => 'pagenumber',
            ),
            array(
                'id'     =>'footerTopLeftText',
                'type'  => 'editor',
                'title' => __('Top Left Footer Text', 'woocommerce-cart-pdf'), 
                'required' => array('footerTopLeft','equals','text'),
                'args'   => array(
                    'teeny'            => false,
                ),
                'default' => 'I am a custom text inside the footer.',
            ),
            array(
                'id'     =>'footerTopLeftImage',
                'type' => 'media',
                'url'      => true,
                'title' => __('Top Left Footer Image', 'woocommerce-cart-pdf'), 
                'required' => array('footerTopLeft','equals','image'),
                'args'   => array(
                    'teeny'            => false,
                )
            ),
            array(
                'id'     =>'footerTopMiddle',
                'type'  => 'select',
                'title' => __('Top Middle Footer', 'woocommerce-cart-pdf'), 
                'required' => array('footerLayout','equals','threeCols'),
                'options'  => array(
                    'none' => __('None', 'woocommerce-cart-pdf' ),
                    'bloginfo' => __('Blog information', 'woocommerce-cart-pdf' ),
                    'text' => __('Custom text', 'woocommerce-cart-pdf' ),
                    'pagenumber' => __('Pagenumber', 'woocommerce-cart-pdf' ),
                    'image' => __('Image', 'woocommerce-cart-pdf' ),
                    'exportinfo' => __('Export Information', 'woocommerce-cart-pdf' ),
                ),
            ),
            array(
                'id'     =>'footerTopMiddleText',
                'type'  => 'editor',
                'title' => __('Top Middle Footer Text', 'woocommerce-cart-pdf'), 
                'required' => array('footerTopMiddle','equals','text'),
                'args'   => array(
                    'teeny'            => false,
                )
            ),
            array(
                'id'     =>'footerTopMiddleImage',
                'type' => 'media',
                'url'      => true,
                'title' => __('Top Middle Footer Image', 'woocommerce-cart-pdf'), 
                'required' => array('footerTopMiddle','equals','image'),
                'args'   => array(
                    'teeny'            => false,
                )
            ),
            array(
                'id'     =>'footerTopRight',
                'type'  => 'select',
                'title' => __('Top Right Footer', 'woocommerce-cart-pdf'), 
                'required' => array('footerLayout','equals',array('threeCols','twoCols')),
                'options'  => array(
                    'none' => __('None', 'woocommerce-cart-pdf' ),
                    'bloginfo' => __('Blog information', 'woocommerce-cart-pdf' ),
                    'text' => __('Custom text', 'woocommerce-cart-pdf' ),
                    'pagenumber' => __('Pagenumber', 'woocommerce-cart-pdf' ),
                    'image' => __('Image', 'woocommerce-cart-pdf' ),
                    'exportinfo' => __('Export Information', 'woocommerce-cart-pdf' ),
                ),
            ),
            array(
                'id'     =>'footerTopRightText',
                'type'  => 'editor',
                'title' => __('Top Right Footer Text', 'woocommerce-cart-pdf'), 
                'required' => array('footerTopRight','equals','text'),
                'args'   => array(
                    'teeny'            => false,
                )
            ),
            array(
                'id'     =>'footerTopRightImage',
                'type' => 'media',
                'url'      => true,
                'title' => __('Top Right Footer Image', 'woocommerce-cart-pdf'), 
                'required' => array('footerTopRight','equals','image'),
                'args'   => array(
                    'teeny'            => false,
                )
            ),
        )
    ) );

    // $framework::setSection( $opt_name, array(
    //     'title'      => __( 'Backcover', 'woocommerce-cart-pdf' ),
    //     'id'         => 'backcover',
    //     'subsection' => true,
    //     'fields'     => array(
    //         array(
    //             'id'       => 'enableBackcover',
    //             'type'     => 'checkbox',
    //             'title'    => __( 'Enable', 'woocommerce-cart-pdf' ),
    //             'subtitle' => __( 'Enable the Backcover Page', 'woocommerce-cart-pdf' ),
    //             'default' =>  '0',
    //         ),
    //         array(
    //             'id'     =>'backcoverImage',
    //             'type' => 'media',
    //             'url'      => true,
    //             'title' => __('Backcover image', 'woocommerce-cart-pdf'), 
    //             'subtitle' => __('Recommended Image Size: 1240 x 1754 px.', 'woocommerce-cart-pdf'), 
    //             'args'   => array(
    //                 'teeny'            => false,
    //             ),
    //             'required' => array('enableBackcover','equals','1'),
    //         ),
    //     ),
    // ) );
    $framework::setSection( $opt_name, array(
        'title'      => __( 'Notifications', 'woocommerce-cart-pdf' ),
        // 'desc'       => __( '', 'woocommerce-cart-pdf' ),
        'id'         => 'notifications',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'notificationsEmail',
                'type'     => 'switch',
                'title'    => __( 'Enable Mail Notification', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Send a mail everytime a cart pdf gets downloaded.', 'woocommerce-cart-pdf' ),
                'default' => '0',
            ),
            array(
                'id'       => 'notificationsEmailRecipients',
                'type'     => 'text',
                'title'    => __( 'Recipient Email Addresses', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Who should get the mail notifcations. Split multiple by comma.', 'woocommerce-cart-pdf' ),
                'default' => '',
                'required' => array('notificationsEmail','equals','1'),
            ),
            array(
                'id'       => 'notificationsEmailSubject',
                'type'     => 'text',
                'title'    => __( 'Email Notifcation Subject', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Subject of the EMail.', 'woocommerce-cart-pdf' ),
                'default' => 'New Cart PDF Download',
                'required' => array('notificationsEmail','equals','1'),
            ),
            array(
                'id'       => 'notificationsEmailText',
                'type'  => 'editor',
                'args'   => array(
                    'teeny'            => false,
                ),
                'title'    => __( 'Email Notification Text', 'woocommerce-cart-pdf' ),
                'subtitle'    => __( 'Email Notification Text.', 'woocommerce-cart-pdf' ) . $textVariables,
                'default' => __('A cart PDF was just downloaded.', 'woocommerce-cart-pdf'),
                'required' => array('notificationsEmail','equals','1'),
            ),
        )
    ) );


    $framework::setSection( $opt_name, array(
        'title'      => __( 'Limit Access', 'woocommerce-cart-pdf' ),
        // 'desc'       => __( '', 'woocommerce-cart-pdf' ),
        'id'         => 'limit-access-settings',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'enableLimitAccess',
                'type'     => 'checkbox',
                'title'    => __( 'Enable', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Enable the limit access. This will activate the below settings.', 'woocommerce-cart-pdf' ),
            ),
            array(
                'id'     =>'role',
                'type' => 'select',
                'data' => 'roles',
                'title' => __('User Role', 'woocommerce-cart-pdf'),
                'subtitle' => __('Select a custom user Role (Default is: administrator) who can use this plugin.', 'woocommerce-cart-pdf'),
                'multi' => true,
                'default' => array( 'administrator' ),
            ),
        )
    ) );

    $framework::setSection( $opt_name, array(
        'title'      => __( 'Advanced settings', 'woocommerce-cart-pdf' ),
        'desc'       => __( 'Custom stylesheet / javascript.', 'woocommerce-cart-pdf' ),
        'id'         => 'advanced',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'debugMode',
                'type'     => 'switch',
                'title'    => __( 'Enable Debug Mode', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'This stops creating the PDF and shows the plain HTML.', 'woocommerce-cart-pdf' ),
                'default'   => 0,
            ),
            array(
                'id'       => 'debugMPDF',
                'type'     => 'switch',
                'title'    => __( 'Enable MPDF Debug Mode', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Show image , font or other errors in the PDF Rendering engine.', 'woocommerce-cart-pdf' ),
                'default'   => 0,
            ),
            // array(
            //     'id'       => 'combineVariations',
            //     'type'     => 'switch',
            //     'title'    => __( 'Combine Variations', 'woocommerce-cart-pdf' ),
            //     'subtitle' => __( 'Instead of showing all Variations below each other, it will group them.', 'woocommerce-cart-pdf' ),
            //     'default'   => 0,
            // ),
            array(
                'id'       => 'performanceUseImageLocally',
                'type'     => 'switch',
                'title'    => __( 'Use Images Locally', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'This will get images directly from your server paths rather than requesting it from a http or https. Only enable it if your images are on the same server!', 'woocommerce-cart-pdf' ),
                'default'  => '0',
            ),
            array(
                'id'       => 'disableQtyFilters',
                'type'     => 'switch',
                'title'    => __( 'Disable QTY Apply Filters', 'woocommerce-cart-pdf' ),
                'default'  => '0',
            ),
            
            array(
                'id'       => 'curlFollowLocation',
                'type'     => 'switch',
                'title'    => __( 'CURL Follow Location', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Enable when having when images are not rendered / displayed as X.', 'woocommerce-cart-pdf' ),
                'default'   => 0,
            ),
            array(
                'id'       => 'curlAllowUnsafeSslRequests',
                'type'     => 'switch',
                'title'    => __( 'CURL Allow Unsafe SSL Requests', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Enable when having when images are not rendered / displayed as X.', 'woocommerce-cart-pdf' ),
                'default'   => 0,
            ),
            array(
                'id'       => 'customCSS',
                'type'     => 'ace_editor',
                'mode'     => 'css',
                'title'    => __( 'Custom CSS', 'woocommerce-cart-pdf' ),
                'subtitle' => __( 'Add some stylesheet if you want.', 'woocommerce-cart-pdf' ),
            ),
        )
    ));

    $framework::setSection( $opt_name, array(
        'title'  => __( 'Preview', 'woocommerce-cart-pdf' ),
        'id'     => 'preview',
        'desc'   => __( 'Need support? Please use the comment function on codecanyon.', 'woocommerce-cart-pdf' ),
        'icon'   => 'el el-eye-open',
    ) );

    /*
     * <--- END SECTIONS
     */
